* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    scrollbar-width: auto;
    scrollbar-color: #4d4d4d #171717;
}

*::selection {
    background-color: rgba(255, 255, 255, 0.1);
}

*::-webkit-scrollbar {
  width: 16px;
}

*::-webkit-scrollbar-track {
  background: #171717;
}

*::-webkit-scrollbar-thumb {
  background-color: #4d4d4d;
  border-radius: 10px;
}

body {
    font-family: 'Segoe UI';
    color: white;
    background-color: rgba(10, 10, 10);
}

.navbar {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.2);
    backdrop-filter: blur(100px);
    animation: navbarhide forwards 250ms ease-out;
    position: fixed;
    top: 0;
    overflow: hidden;
    z-index: 9999;
}

.shownavbar {
    animation: navbarshow forwards 250ms ease-out;
}

.navbar .content {
    display: flex;
}

.navbar .content a {
    padding: 14px 16px;
    text-align: center;
    color: white;
    text-decoration: none;
    transition: 250ms;
}

.navbar .content a img {
    filter: drop-shadow(0 0 10px rgba(255, 255, 255, 0.1));
}

.navbar .content a:not(.navbar .content a:nth-child(1)):hover {
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.4));
    font-weight: bold;
}

video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hint {
    position: absolute;
    z-index: 999;
}

.noscroll {
    overflow: hidden;
}

.hide {
    display: none !important;
}

.oobepreview {
    width: 100%;
    height: 100%;
}

.oobepreview .background {
    width: 100%;
    height: 100%;
    background: url(../src/bg.jpg);
    background-position: center center;
    background-size: cover;
}

.oobepreview .container {
    width: 100%;
    height: 100%;
    backdrop-filter: blur(100px);
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0;
    left: 0;
}

.oobepreview .container .content {
    box-sizing: border-box;
    background-color: rgba(0, 0, 0, 0.9);
    margin-bottom: 4px;
    width: 70%;
    height: 85%;
    position: absolute;
    z-index: 999;
    display: flex;
    overflow: hidden;
    border-radius: 8px;
    box-shadow: 0px 7.2px 21.6px rgba(0, 0, 0, 0.09), 0px 38.4px 86.4px rgba(0, 0, 0, 0.11);
    animation: introbox forwards 350ms ease-out;
}

.half {
    width: 50%;
    height: 100%;
    animation: introcontent 250ms linear forwards;
    animation-delay: 350ms;
    opacity: 0;
}

.left {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("../src/bg.jpg");
    background-position: center center;
    background-size: cover;
}

.right {
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}

.right .text {
    width: 92%;
    height: 92%;
    margin: 4%;
    box-sizing: border-box;
}

.text hr {
    border-color: rgb(10, 10, 10);
    margin: 10px 0;
}

.text button {
    border-color: transparent;
    color: #fff;
    min-height: 40px;
    margin: 0;
    background: rgb(0, 192, 31);
    width: 144px;
    white-space: normal;
    font-weight: 400;
    font-size: 1rem;
    border-radius: 4px;
    border: 1px solid rgba(0, 0, 0, 0.2169);
    position: absolute;
    bottom: 4%;
    right: 4%;
}

.text button:hover {
    background-color: #02cf02;
    border: 1px solid rgba(0, 0, 0, 0);
}

.text button:focus {
    outline: none;
    border: 1px solid rgba(0, 0, 0, 0.2169);
}

@keyframes introbox {
    from {width: 100%; height: 100%;}
    to {width: 70%; height: 85%;}
}

@keyframes introcontent {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes navbarshow {
    from {transform: translateY(-56px);}
    to {transform: none;}
}

@keyframes navbarhide {
    from {transform: none;}
    to {transform: translateY(-56px);}
}

.block {
    width: 100%;
    height: 100%;
    background-color: rgb(19, 19, 19);
    padding-top: 56px;
}

#goto, #d {
    display: none;
}

.block h1 {
    text-align: center;
    padding: 40px;
}

.twosections {
    width: 100%;
    display: flex;
    height: calc(100% - 203px);
}

.twosections.sectionleft{
    flex-direction: row-reverse;
}

.twosections div {
    width: 50%;
    box-sizing: border-box;
}

#oobescreen {
    background-image: url(../src/oobescreen.png);
    background-position: left center;
    background-size: cover;
    filter: drop-shadow(0 0 0.75rem black);
}


#buildscreen {
    background-image: url(../src/buildscreen.png);
    background-position: right center;
    background-size: cover;
    filter: drop-shadow(0 0 0.75rem black);
}


.oobetext {
    display: flex;
    justify-content: center;
    align-items: center;
}

#download {
    background: url(../src/bg.jpg);
    background-position: center center;
    background-size: cover;
    box-sizing: border-box;
}

ul li {
    padding: 12px 0;
}

.secondul {
    padding-left: 20px;
}

.videos {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    margin-left: 20px;
    gap: 20px;
    width: calc(100% - 40px);
    justify-items: center;
}

.novideos {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 40px 0;
}

.novideos h1 {
    font-weight: 300;
    padding: 0;
}

.block .background {
    margin-top: -56px;
    padding: 0;
    width: 100%;
    height: calc(100% + 56px);
    backdrop-filter: blur(100px);
    background-color: rgba(0, 0, 0, 0.5);
}

.block a {
    color: #02cf02;
    text-decoration: none;
}

.block a:hover {
    color: #007700;
}

.background h1 {
    padding: 96px 0 40px 0;
}

.downloadflex {
    height: calc(100% - 315px);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.downloadflex .downloadcontainer h2{
    margin-bottom: 20px;
}

.buttonsgrid1 {
    display: grid;
    grid-template-columns: 1fr;
    margin-bottom: 20px;
}

.buttonsgrid2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2px;
}

.downloadcontainer button {
    border-color: transparent;
    color: #fff;
    margin: 0;
    background: rgb(0, 192, 31);
    min-height: 40px;
    white-space: normal;
    font-weight: 400;
    font-size: 1rem;
    border-radius: 4px;
    border: 1px solid rgba(0, 0, 0, 0.2169);
    cursor: pointer;
}

.downloadcontainer button:hover {
    background-color: #02cf02;
    border: 1px solid rgba(0, 0, 0, 0);
}

.downloadcontainer button:focus {
    outline: none;
    border: 1px solid rgba(0, 0, 0, 0.2169);
}

.roll {
    width: 100%;
    height: 100%;
    position: sticky;
    top: 0;
    z-index: 999999999999999;
    background-color: rgba(0, 0, 0, 0.9);
    backdrop-filter: blur(10px);
    display: flex;
    align-items: center;
    justify-content: center;
}

.roll h1 {
    animation: roll 5s infinite linear;
    font-size: 100px;
}

@keyframes roll {
    from {transform: rotate3d(1, 1, 1, 0deg);}
    to {transform: rotate3d(1, 1, 1, 360deg);}
}

.linkscontainer {
    width: calc(100% - 40px);
    margin-left: 20px;
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 1fr 1fr;
    padding-bottom: 20px;
}

.linkscontainer .box {
    background-color: rgb(25, 25, 25);
    border-radius: 8px;
    margin: 2px;
    display: grid;
    grid-template-columns: 150px 1fr;
    padding: 20px 0;
}

.linkscontainer .box div h2 {
    font-weight: 300;
    margin: 5px 0;
}

.linkscontainer .box div h2 span {
    color: #4d4d4d;
    font-size: xx-small;
}


.linkscontainer .box div:nth-child(1) {
    display: flex;
    align-items: center;
    justify-content: center;
}

.linkscontainer .box div img {
    width: 100px;
    height: 100px;
    border-radius: 8px;
    object-fit: cover;
}


.tipalink {
    color: #02cf02;
    cursor: pointer;
}

.tipalink:hover {
    color: #007700;
}

.col {
    grid-column: 1 / 3;
}



.flex {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 99999999999999999999999999;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    animation: showbannerflex 250ms ease-out forwards;
}

.banner h1, h3 {
    font-weight: 300;
    padding-top: 2px;
    padding-bottom: 8px;
}

.banner h3 {
    filter: drop-shadow(0 0 4px rgba(255, 255, 255, 0.4));
}

.banner h1 span {
    filter: drop-shadow(0 0 8px rgba(255, 255, 255, 0.4));
}

.banner {
    border-radius: 6px;
    padding: 30px;
    background-color: rgb(16, 16, 16);
    font-family: 'consolas', monospace;
    min-width: 50%;
    animation: showbanner 250ms ease-out forwards;
}

.banner .button {
    height: 60px;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}

.banner .button button {
    padding: 10px 15px;
    border: 0;
    border-radius: 4px;
    background-color: white;
    color: black;
    font-family: monospace;
    font-weight: 300;
    margin-left: 5px;
    margin-right: 5px;
}

.banner .button button:hover {
    cursor: pointer;
}

.banner a {
    color: gray;
}

.banner a:hover{
    color: rgb(100, 100, 100);
}

.banner #button1 {
    background-color: rgb(255, 40, 40);
    color: white;
    transition: 250ms;
}

.banner #button1:hover {
    background-color: red;
    color: white;
}

.flex.hideanim {
    animation: showbannerflexrv 250ms ease-out forwards;
}

.flex.hideanim .banner {
    animation: showbannerrv 250ms ease-out forwards;
}

@keyframes showbannerflex {
    from {opacity: 0;}
    to {opacity: 1;}
}

@keyframes showbannerflexrv {
    from {opacity: 1;}
    to {opacity: 0;}
}


@keyframes showbanner {
    from {transform: translateY(-250px);}
    to {transform: none;}
}

@keyframes showbannerrv {
    from {transform: none;}
    to {transform: translateY(-250px);}
}



@media screen and (max-width: 800px) {
    .half {
        width: 100%;
        height: 50%;
    }

    .oobepreview .container .content {
        flex-direction: column;
    }

    .twosections {
        flex-direction: column !important;
        min-height: 100%;
    }

    .twosections div {
        min-height: 50%;
        width: 100% !important;
    }

    #oobescreen {
        background-position: center top !important;
    }
    
    
    #buildscreen {
        background-position: center top !important;
    }
    

    .block {
        min-height: 100%;
        text-align: center;
        height: auto !important;
    }

    ul {
     display: inline-block;
    }

    .secondul {
        padding-left: 0 !important;
    }

    .videos {
        text-align: center;
        grid-template-columns: none !important;
        grid-template-rows: none !important;
        min-height: 70%;
    }  

    @keyframes introbox {
        from {width: 100%; height: 100%;}
        to {width: 90%; height: 95%;}
    }
}

@media screen and (max-width: 1024px) {
    iframe {
        width: 240px !important;
        height: 135px !important;
    }

    .videos {
        gap: 0 !important;
    }

}

@media screen and (max-width: 424px) {
    .navbar .content a {
        padding: 7px 8px;
    }

    @keyframes navbarshow {
        from {transform: translateY(-42px);}
        to {transform: none;}
    }
    
    @keyframes navbarhide {
        from {transform: none;}
        to {transform: translateY(-42px);}
    }
    
    .block {
        padding-top: 42px;
    }

    .block .background {
        margin-top: -42px;
        padding: 0;
        width: 100%;
        height: calc(100% + 42px);
        backdrop-filter: blur(100px);
        background-color: rgba(0, 0, 0, 0.5);
    }

    .downloadflex {
        width: calc(100% - 40px) !important;
        margin: 0 20px;
    }

    .banner {
        width: 100%;
        height: 100%;
        box-sizing: border-box;
    }

    .banner h1 {
        margin-top: 20px;
    }

    .banner .button {
        position: absolute;
        bottom: 20;
        right: 20;
    }
}

@media screen and (max-width: 1000px) {
    .linkscontainer .box {
        grid-template-rows: 1fr 1fr;
        grid-template-columns: none !important;
        text-align: center;
    }

    h2 span {
        display: none;
    }

    .linkscontainer {
        grid-template-columns: 1fr !important;
        min-height: 100%;
    }

    #Links {
        min-height: 100%;
        height: auto;
    }
    
    .col {
        grid-column: 1 !important;
    }
}